@import controllers.formview.PostForm
@(post: Seq[PrePost], form: Form[PostForm.PostData], postUrl: Call, list: List[Post], users: List[Users])(implicit request: MessagesRequestHeader)

  @base_active("Home", users.head.name) {
      <div class="columns">
          <div class="column">
              @helper.form(postUrl) {
                  @helper.CSRF.formField
                  <div>
                      <label class="label">What's in your mind?</label>
                      <textarea class="textarea" placeholder="What's in your mind?" name="content" id="content"></textarea>
                      <div class="control-left">
                          <button class="button is-success"> Post </button>
                      </div>
                  </div>
              }

              <h3 class="subtitle is-right">@list.size History Post</h3>
              @for(item <- list) {
                  <div class="box">
                      <article class="media">
                          <div class="media-left">
                              <figure class="image is-64x64">
                                  <img src="@routes.Assets.versioned("images/logo/medium.png")" width="30">
                              </figure>
                          </div>
                          <div class="media-content">
                              <div class="content">
                                  <p>
                                      <strong>@users.head.name</strong> <small> @@@users.head.username</small>
                                      <br>
                                          @if(item.content.length > 400){
                                              @item.content.substring(0,400).concat(" . . .")
                                          } else {
                                              @item.content
                                          }
                                  </p>
                              </div>

                              <div class="media">
                                  <div class="media-left">
                                      <figure class="image is-48x48">
                                          <a class="level-item">
                                              <img src="@routes.Assets.versioned("images/logo/facebook.png")" width="15">
                                          </a>
                                      </figure>
                                  </div>
                                  <div class="media-content">
                                      <p><strong>@item.email</strong></p>
                                      <p><small>@item.dateTime.toString.substring(0,16)</small></p>
                                      <div class="level-right">
                                          <a href="#"> Read more </a>
                                      </div>
                                  </div>
                              </div>
                          </div>
                      </article>
                  </div>
                  }
          </div>
      </div>

    <div class="container-fixed-bottom-left">
        <a href="#" class="button"> Return top </a>
    </div>

    <br> <br>
  }